> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardrift.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Hotels



## OpenAPI

````yaml /openapi.json post /v1/search/hotels
openapi: 3.1.0
info:
  title: Stardrift API
  description: >-
    Read and edit the authenticated user's trips, itineraries, recorded
    bookings, and saved lists. Private records are owner-scoped. MCP tool names
    are documented separately from these HTTP operations.
  version: v1
servers:
  - url: https://stardrift.ai/api
security: []
paths:
  /v1/search/hotels:
    post:
      tags:
        - mcp-server
      summary: Search Hotels
      operationId: search_hotels_v1_search_hotels_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HotelSearchInput'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Search Hotels V1 Search Hotels Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HotelSearchInput:
      properties:
        adults:
          type: integer
          maximum: 9
          minimum: 1
          title: Adults
          default: 1
        currency:
          type: string
          enum:
            - ALL
            - DZD
            - ARS
            - AMD
            - AWG
            - AUD
            - AZN
            - BSD
            - BHD
            - BYN
            - BMD
            - BAM
            - BRL
            - GBP
            - BGN
            - XPF
            - CAD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CZK
            - DKK
            - DOP
            - EGP
            - EUR
            - GEL
            - HKD
            - HUF
            - ISK
            - INR
            - IDR
            - IRR
            - ILS
            - JMD
            - JPY
            - JOD
            - KZT
            - KWD
            - LBP
            - MKD
            - MYR
            - MXN
            - MDL
            - MAD
            - TWD
            - NZD
            - NOK
            - OMR
            - PKR
            - PAB
            - PEN
            - PHP
            - PLN
            - QAR
            - RON
            - RUB
            - SAR
            - RSD
            - SGD
            - ZAR
            - KRW
            - SEK
            - CHF
            - THB
            - TRY
            - USD
            - UAH
            - AED
            - VND
          title: Currency
          default: USD
        query:
          type: string
          maxLength: 250
          minLength: 2
          title: Query
        check_in_date:
          type: string
          format: date
          title: Check In Date
        check_out_date:
          type: string
          format: date
          title: Check Out Date
        children_ages:
          items:
            type: integer
            maximum: 17
            minimum: 0
          type: array
          maxItems: 8
          title: Children Ages
        guest_nationality:
          type: string
          pattern: ^[A-Z]{2}$
          title: Guest Nationality
          default: US
        min_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Min Price
        max_price:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Max Price
        sort_by:
          type: string
          enum:
            - lowest_price
            - highest_rating
            - most_reviews
          title: Sort By
          default: highest_rating
      additionalProperties: false
      type: object
      required:
        - query
        - check_in_date
        - check_out_date
      title: HotelSearchInput
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````